Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516570 - patches to deal with --force correctly in my point of view
Summary: patches to deal with --force correctly in my point of view
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: akmods
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 23:46 UTC by Sergio Monteiro Basto
Modified: 2017-11-26 12:57 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-26 07:28:24 UTC


Attachments (Terms of Use)
0001-do-not-use-force-in-akmods-shutdown.patch (deleted)
2017-11-22 23:46 UTC, Sergio Monteiro Basto
no flags Details | Diff
0002-not-default-force-with-kernels-is-not-make-sense-for.patch (deleted)
2017-11-22 23:47 UTC, Sergio Monteiro Basto
no flags Details | Diff

Description Sergio Monteiro Basto 2017-11-22 23:46:55 UTC
Created attachment 1357918 [details]
0001-do-not-use-force-in-akmods-shutdown.patch

Description of problem:
akmods-shutdown should use --force , should try build one time if if fails , should not try build every reboot one thing that we already know that will fail 

but remove --force  doesn't not needed if akmods --kernels $kernel , because --kernel option force --force , which is not logic by previous patch .

Comment 1 Sergio Monteiro Basto 2017-11-22 23:47:24 UTC
Created attachment 1357919 [details]
0002-not-default-force-with-kernels-is-not-make-sense-for.patch

Comment 2 Sergio Monteiro Basto 2017-11-22 23:49:21 UTC
I may commit these patches , just need some approval by you . 

Cheers,

Comment 3 Sergio Monteiro Basto 2017-11-25 22:22:21 UTC
Since nobody said nothing I presume that I can go forward , so I will commit these patches shortly

Comment 4 Nicolas Chauvet (kwizart) 2017-11-26 07:28:24 UTC
Sorry, but one week of review is a minimal for asking feedback.
The first one is acceptable, but the second one not.

As I said in another review, there is no reason to force anything by default, so the second one is good for the long term, but I expect it's hiding something.

Please don't push any commit right now as theses patches would solve nothing in the current situation and there is other work on-going (secure-boot). akmod-shutdown isn't enabled anyway.

Comment 5 Sergio Monteiro Basto 2017-11-26 11:35:36 UTC
I enable  akmod-shutdown in all my systems . 

I don't understand why akmods --kernels $kernel is always add --force . 

is not coherent , neither first patch have any effect .

Comment 6 Sergio Monteiro Basto 2017-11-26 12:57:43 UTC
> but the second one not.

the second patch is also about remove one hard coded --force !


Note You need to log in before you can comment on or make changes to this bug.